Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 509206 - media-sound/cmus with ncurses[tinfo] - ld: ui_curses.o: undefined reference to symbol 'cbreak'
Summary: media-sound/cmus with ncurses[tinfo] - ld: ui_curses.o: undefined reference t...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2014-04-30 22:04 UTC by Zoltan Puskas
Modified: 2016-05-28 09:39 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Include tinfo patch in 2.5.0-r1 ebuild (cmus-2.5.0-r1.ebuild.patch,392 bytes, patch)
2015-07-04 16:21 UTC, Jeremi Piotrowski
Details | Diff
Include tinfo patch in 2.6.0 ebuild (cmus-2.6.0.ebuild.patch,789 bytes, patch)
2015-07-04 16:22 UTC, Jeremi Piotrowski
Details | Diff
Patch to the build system that uses pkg-config for ncurses (cmus-tinfo.patch,509 bytes, patch)
2015-07-04 16:24 UTC, Jeremi Piotrowski
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Puskas 2014-04-30 22:04:45 UTC
Build is broken in regards to the ncurses/tinfo API changes.

Reproducible: Always

Steps to Reproduce:
1. emerge cmus

Actual Results:  
Build fails with:
...
usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../../x86_64-pc-linux-gnu/bin/ld: ui_curses.o: undefined reference to symbol 'cbreak'
/lib64/libtinfow.so.5: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status

Expected Results:  
Successful build.

emerge --info
Portage 2.2.10 (default/linux/amd64/13.0/desktop/kde, gcc-4.8.2, glibc-2.19, 3.14.1-gentoo x86_64)
=================================================================
System uname: Linux-3.14.1-gentoo-x86_64-Intel-R-_Core-TM-_i7-3520M_CPU_@_2.90GHz-with-gentoo-2.2
KiB Mem:     7922708 total,   2389512 free
KiB Swap:    8388604 total,   8388512 free
Timestamp of tree: Tue, 29 Apr 2014 23:30:01 +0000
ld GNU ld (GNU Binutils) 2.24
app-shells/bash:          4.2_p47
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6-r1, 3.3.5, 3.4.0
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.14.1
sys-devel/binutils:       2.24-r2
sys-devel/gcc:            4.7.3-r1, 4.8.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.14 (virtual/os-headers)
sys-libs/glibc:           2.19
Repositories: gentoo java sinustrom
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://www.gtlib.gatech.edu/pub/gentoo "
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/java /var/lib/layman/sinustrom"
USE="X a52 aac acl acpi alsa amd64 avx bash-completion berkdb bindist bluetooth branding bzip2 c++0x cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif gles gles1 gles2 gphoto2 gpm gtk hardened iconv ipv6 java6 jpeg jpeg2k kde kipi lcms ldap libnotify lm_sensors mad mmx mng modules mp3 mp4 mpeg multilib ncurses networkmanager nls nptl ogg opengl openmp pam pango pcre pdf phonon plasma png policykit posix ppds qt3support qt4 readline sdl semantic-desktop session smp spell sse sse2 sse3 sse4_1 ssl ssse3 startup-notification svg tcpd threads tiff truetype udev udisks unicode upower usb vaapi vim-syntax vorbis wifi wxwidgets x264 xcb xcomposite xinerama xml xpm xscreensaver xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="x86_64 arm" QEMU_USER_TARGETS="x86_64 arm" RUBY_TARGETS="ruby19 ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965 nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 1 Samuli Suominen gentoo-dev 2014-08-15 08:32:45 UTC
update: still broken for 2.6.0 (looking at the custom configure script, it's still not using pkg-config for ncurses)
Comment 2 Jeremi Piotrowski 2015-07-04 16:21:54 UTC
Created attachment 406180 [details, diff]
Include tinfo patch in 2.5.0-r1 ebuild
Comment 3 Jeremi Piotrowski 2015-07-04 16:22:33 UTC
Created attachment 406184 [details, diff]
Include tinfo patch in 2.6.0 ebuild
Comment 4 Jeremi Piotrowski 2015-07-04 16:24:24 UTC
Created attachment 406186 [details, diff]
Patch to the build system that uses pkg-config for ncurses

Place the patch in files/cmus-tinfo.patch.

With this patch and the ebuild patches all versions of cmus build properly (including released-but-not-yet-in-tree version 2.7.0).
Comment 5 Jeremi Piotrowski 2015-07-04 16:25:50 UTC
I'm also working on getting the changes upstreamed, but that will probably only affect the latest version.
Comment 6 Ben de Groot (RETIRED) gentoo-dev 2015-07-20 08:26:12 UTC
This is fixed in 2.7.1, which is now in the main repo.